Public Member Functions | Public Attributes | List of all members
WPSOLEParserInternal::OleDef Struct Reference

Internal: internal method to keep ole definition. More...

## Public Member Functions
| OleDef ()

## Public Attributes
int | m_id
| main id More...
std::string | m_base
| the base name More...
std::string | m_dir
| the directory More...
std::string | m_name
| the complete name More...

## Detailed Description

Internal: internal method to keep ole definition.

## Constructor & Destructor Documentation

## ◆ OleDef()

WPSOLEParserInternal::OleDef::OleDef | ( |  | ) |
| inline

## Member Data Documentation

## ◆ m_base

std::string WPSOLEParserInternal::OleDef::m_base

the base name

Referenced by WPSOLEParser::parse().

## ◆ m_dir

std::string WPSOLEParserInternal::OleDef::m_dir

the directory

Referenced by WPSOLEParser::parse().

## ◆ m_id

int WPSOLEParserInternal::OleDef::m_id

main id

Referenced by WPSOLEParser::parse().

## ◆ m_name

std::string WPSOLEParserInternal::OleDef::m_name

the complete name

Referenced by WPSOLEParser::parse().

The documentation for this struct was generated from the following file:

- WPSOLEParser.cpp